#
# spec file for package python3-PyVirtualDisplay
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-PyVirtualDisplay
Version:        0.1.5
Release:        5.1
Url:            https://github.com/ponty/PyVirtualDisplay
Summary:        Python wrapper for Xvfb, Xephyr and Xvnc
License:        BSD-2-Clause
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/P/PyVirtualDisplay/PyVirtualDisplay-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python3
BuildRequires:  python3-devel
BuildRequires:  python3-distribute
Requires:       xorg-x11-Xvnc
BuildArch:      noarch

%description
pyvirtualdisplay is a python wrapper for Xvfb, Xephyr and Xvnc

%prep
%setup -q -n PyVirtualDisplay-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc README.rst LICENSE.txt
%{python3_sitelib}/*

%changelog
* Sat Jan 10 2015 arun@gmx.de
- specfile: update copyright year
- update to version 0.1.5:
  * fix pypi name
- changes from version 0.1.4:
  * call parent constructor in every class  ( fixes #10 )
  * test case for #10
  * use versioneer for versioning
  * drop py25 and py31 support, add py33 support
  * fix tox.ini
- changes from version 0.1.3:
  * Support -fbdir option in Xvfb ( closes #9 )
  * - make sure rfbport parameter is a string - add geometry and depth options to tightvncserver startup call
  * simplified pavement tasks
* Sun Feb 17 2013 p.drouand@gmail.com
- Update to version 0.1.1:
  * No changelog available
* Mon Jan 14 2013 saschpe@suse.de
- Drop requires on "python(abi)", RPM does that automatically
- No need to buildrequire python3-2to3 anymore, it moved into
  python3-devel
* Fri Jan 11 2013 p.drouand@gmail.com
- Initial python3 support
